Skip to content

Fetch admin user details

GET
/api/v1/admin_user/{admin_user_id}
curl --request GET \
--url https://app.prefactorai.com/api/v1/admin_user/013xrzp12g3nqk8ns6jadrqmpgrjkeny \
--header 'Authorization: Bearer <token>'
admin_user_id
required
AdminUser_Id

A valid admin user ID

string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny
idempotency_key
One of:

Optional idempotency key for ensuring request idempotency

string

Success

Media typeapplication/json
object
details
AdminUser_Details
object
account_id
Account_Id

A valid account ID

string
email

Admin user email

string
id
AdminUser_Id

A valid admin user ID

string
inserted_at

When the admin user was created

string format: date-time
job_title
One of:

Job title within the account

string
name
One of:

Admin user name

string
profile_completed_at
One of:

When the user completed their profile (set on profile completion)

string format: date-time
switchable_account_summaries

Accounts this admin user can switch to

Array<object>
Account_Summary
object
id
Account_Id

A valid account ID

string
name

Account name

string
type

Type of resource (always ‘account’)

string
Allowed values: account
type

Type of resource (always ‘admin_user’)

string
Allowed values: admin_user
updated_at

When the admin user was last updated

string format: date-time
status
string
Allowed values: success
Example
{
"details": {
"account_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny",
"email": "john@example.com",
"id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny",
"inserted_at": "2024-01-01T00:00:00Z",
"job_title": "Developer",
"name": "John Doe",
"profile_completed_at": "2024-01-01T00:00:00Z",
"switchable_account_summaries": [
{
"id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny",
"name": "My Account",
"type": "account"
}
],
"type": "admin_user",
"updated_at": "2024-01-01T00:00:00Z"
},
"status": "success"
}

Error

Media typeapplication/json
One of:
object
code
string
Allowed values: bad_request bad_authtoken not_authenticated not_permitted not_implemented unknown not_found unexpected_ref_type unexpected invalid_action alert_unknown alert_already_cleared invalid_value required_value idempotency_key_already_used
message
string
status
string
Allowed values: error
Example
{
"code": "bad_request",
"status": "error"
}